import json
from django.http import HttpResponse
from jmb.locality_it.models import Region, Province, Locality

def ajax_get_localities(request):
    cities_dict = {}
    if "province" in request.GET:
        province = request.GET["province"]
        cities_dict = Locality.get_cities_dict(province_abbr=province)
    return HttpResponse(json.dumps(cities_dict), content_type = "application/json")